Bug 209517 - NSS could provide a function to get token specific identifier
Summary: NSS could provide a function to get token specific identifier
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bob Relyea
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-05 18:52 UTC by Ray Strode [halfline]
Modified: 2018-10-31 22:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ray Strode [halfline] 2006-10-05 18:52:13 UTC
As part of the smart card login efforts, we need a way to uniquely identify
tokens.  We currently look at the login token name and say that it's not a
supported configuration to have more than one token with the same name.

Ideally, NSS would provide a GetTokenUUID() function or similiar that is always
unique the token.  Maybe this function could be the concatentation (or hash?) of
the token's serial number and label.

The serial number of the token isn't suffient on it's own, because apparently, a
fair number of tokens on the market don't give unique serial numbers from token
to token.

Comment 1 Kai Engert (:kaie) (inactive account) 2006-10-06 22:20:11 UTC
Reassigning to Bob, who is working on NSS features.
I wonder if this should rather be tracked in bugzilla.mozilla.org component NSS
as an enhancement request.



Comment 2 Fedora Admin XMLRPC Client 2010-09-07 20:44:09 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.